- NAME
- DESCRIPTION
- FUNCTIONS

# NAME

HTML::Mason::Utils - Publically available functions useful outside of Mason

# DESCRIPTION

The functions in this module are useful when you need to interface code you have written with Mason.

# FUNCTIONS

data_cache_namespace ($comp_id)

  Given a component id, this method returns its default `Cache::Cache` namespace. This can be useful if you want to access the cached data outside of Mason.

  With a single component root, the component id is just the component path. With multiple component roots, the component id is `key`/`path`, where `key` is the key corresponding to the root that the component falls under.

cgi_request_args ($cgi, $method)

  This function expects to receive a `CGI.pm` object and the request method (GET, POST, etc). Given these two things, it will return a hash in list context or a hashref in scalar context. The `hash(ref)` will contain all the arguments passed via the CGI request. The keys will be argument names and the values will be either scalars or array references.